uk.gov.hmrc.alertconfig.builders

# TeamAlertConfigBuilder

###
Related Docs: object TeamAlertConfigBuilder | package builders

#### case class TeamAlertConfigBuilder(services: Seq[String], handlers: Seq[String] = Seq("noop"), exceptionThreshold: Int = 2, http5xxThreshold: Int = Int.MaxValue, http5xxThresholdSeverity: Http5xxThresholdSeverity = Http5xxThresholdSeverity(), http5xxPercentThreshold: Double = 100, containerKillThreshold: Int = 1, httpStatusThresholds: Seq[HttpStatusThreshold] = Nil, logMessageThresholds: Seq[LogMessageThreshold] = Nil, totalHttpRequestThreshold: Int = Int.MaxValue) extends Builder[Seq[AlertConfigBuilder]] with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, Builder[Seq[AlertConfigBuilder]], AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. TeamAlertConfigBuilder
2. Serializable
3. Serializable
4. Product
5. Equals
6. Builder
7. AnyRef
8. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new TeamAlertConfigBuilder(services: Seq[String], handlers: Seq[String] = Seq("noop"), exceptionThreshold: Int = 2, http5xxThreshold: Int = Int.MaxValue, http5xxThresholdSeverity: Http5xxThresholdSeverity = Http5xxThresholdSeverity(), http5xxPercentThreshold: Double = 100, containerKillThreshold: Int = 1, httpStatusThresholds: Seq[HttpStatusThreshold] = Nil, logMessageThresholds: Seq[LogMessageThreshold] = Nil, totalHttpRequestThreshold: Int = Int.MaxValue)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def build: Seq[AlertConfigBuilder]

   Definition Classes
     TeamAlertConfigBuilder → Builder

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### val containerKillThreshold: Int

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### val exceptionThreshold: Int

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### val handlers: Seq[String]

13. #### val http5xxPercentThreshold: Double

14. #### val http5xxThreshold: Int

15. #### val http5xxThresholdSeverity: Http5xxThresholdSeverity

16. #### val httpStatusThresholds: Seq[HttpStatusThreshold]

17. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

18. #### val logMessageThresholds: Seq[LogMessageThreshold]

19. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### final def notify(): Unit

    Definition Classes
      AnyRef

21. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

22. #### val services: Seq[String]

23. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

24. #### val totalHttpRequestThreshold: Int

25. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### def withContainerKillThreshold(containerKillThreshold: Int): TeamAlertConfigBuilder

29. #### def withExceptionThreshold(exceptionThreshold: Int): TeamAlertConfigBuilder

30. #### def withHandlers(handlers: String*): TeamAlertConfigBuilder

31. #### def withHttp5xxPercentThreshold(percentThreshold: Double): TeamAlertConfigBuilder

32. #### def withHttp5xxThreshold(http5xxThreshold: Int): TeamAlertConfigBuilder

33. #### def withHttp5xxThresholdSeverity(http5xxThresholdSeverity: Int, severity: AlertSeverityType = AlertSeverity.critical): TeamAlertConfigBuilder

34. #### def withHttpStatusThreshold(threshold: HttpStatusThreshold): TeamAlertConfigBuilder

35. #### def withLogMessageThreshold(message: String, threshold: Int): TeamAlertConfigBuilder

36. #### def withTotalHttpRequestsCountThreshold(threshold: Int): TeamAlertConfigBuilder

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Builder[Seq[AlertConfigBuilder]]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped